Bug 1119559 - gdb demangler segfaults on certain symbols
Summary: gdb demangler segfaults on certain symbols
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gdb
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Jan Kratochvil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-15 04:16 UTC by John McIver
Modified: 2014-08-21 09:47 UTC (History)
6 users (show)

Fixed In Version: gdb-7.7.1-18.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 09:47:20 UTC


Attachments (Terms of Use)

Description John McIver 2014-07-15 04:16:28 UTC
Description of problem:
The GDB demangler segfaults on certain symbols.

Version-Release number of selected component (if applicable):
Fedora release: 20
GDB package version: 7.7.1-15.fc20.x86_64

How reproducible:
GDB will segfault consistently if a library contains symbols that cause the demangler to enter into an infinite loop.

Steps to Reproduce:
I am working on a simple test case that can be used to reproduce this. In the meantime please see the "Additional info" section.

Actual results:
Segmentation fault (core dumped)

Expected results:
GDB completes symbol elaboration and enters into interactive mode. 

Additional info:
This issue appears to have been fix by one of Redhat's own (Gary Benson). However the patch has not made its way into 7.7.1 or the Fedora RPM package (it does however appear to be part of the newly created 7.8 branch):

https://gcc.gnu.org/ml/gcc-patches/2014-05/msg00404.html
https://gcc.gnu.org/viewcvs/gcc?view=revision&revision=210205

Comment 1 Fedora Update System 2014-08-14 20:03:44 UTC
gdb-7.7.1-18.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gdb-7.7.1-18.fc20

Comment 2 Jan Kratochvil 2014-08-14 20:04:08 UTC
./test-demangle: 888 tests, 0 failures
->
./test-demangle: 895 tests, 0 failures

Comment 3 Fedora Update System 2014-08-16 00:27:30 UTC
Package gdb-7.7.1-18.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gdb-7.7.1-18.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9437/gdb-7.7.1-18.fc20
then log in and leave karma (feedback).

Comment 4 John McIver 2014-08-19 22:07:12 UTC
Provided positive karma feedback.

Comment 5 Fedora Update System 2014-08-21 09:47:20 UTC
gdb-7.7.1-18.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.